Bug 565238 - init script references invalid services and is badly formatted.
init script references invalid services and is badly formatted.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-13 18:44 EST by Lennart Poettering
Modified: 2010-07-08 14:30 EDT (History)
7 users (show)

See Also:
Fixed In Version: libvirt-0.7.7-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 14:30:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2010-02-13 18:44:36 EST
The LSB header of the libvirt init script references a service "avahi". There is no such thing. You probably mean "avahi-daemon".

Also, while we are at it: the chkconfig header of the init script is broken as well, in its "description" field you need to use \ for line continuations, but you don't. See the chkconfig man page for more information.

Note that the description fields of the LSB header do *not* use \ for line continuation. Only the chkconfig header fields need that.

libvirt-0.7.6-1.fc13.x86_64
Comment 1 Itamar Reis Peixoto 2010-02-13 18:51:51 EST
Can you post a patch ?
Comment 2 Bug Zapper 2010-03-15 11:00:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Update System 2010-06-17 13:53:27 EDT
libvirt-0.7.7-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libvirt-0.7.7-5.fc13
Comment 5 Fedora Update System 2010-06-21 09:10:09 EDT
libvirt-0.7.7-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libvirt-0.7.7-5.fc13
Comment 6 Fedora Update System 2010-07-08 14:29:54 EDT
libvirt-0.7.7-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.